POST api/userapi/add
Request Information
URI Parameters
None.
Body Parameters
UserViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| customer_name | string |
None. |
|
| has_operator_password | boolean |
None. |
|
| webapp_password | string |
Data type: Password Matching regular expression pattern: ^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[ !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~])[A-Za-z\d !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~]{8,}$ |
|
| webapp_username | string |
Required |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| isFromWpf | boolean |
None. |
|
| sites | Collection of SiteViewModel |
None. |
|
| locks | Collection of LockViewModel |
None. |
|
| clearOperatorPassword | boolean |
None. |
|
| active | boolean |
Required |
|
| admin | boolean |
None. |
|
| badge_tag_id | string |
None. |
|
| cell_phone | string |
None. |
|
| customer_id | globally unique identifier |
None. |
|
| firstname | string |
None. |
|
| id | globally unique identifier |
None. |
|
| language_code | string |
Required |
|
| lastname | string |
None. |
|
| string |
None. |
||
| operator_code | string |
Required |
|
| operator_password | string |
Data type: Password |
|
| phone | string |
None. |
|
| webapp_password_last_update | date |
None. |
|
| role_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"customer_name": "sample string 1",
"has_operator_password": true,
"webapp_password": "sample string 3",
"webapp_username": "sample string 4",
"rights": [
{
"code": "sample string 1",
"id": "84e61206-c6fa-4661-b7bf-91ffc6082e0e"
},
{
"code": "sample string 1",
"id": "84e61206-c6fa-4661-b7bf-91ffc6082e0e"
}
],
"isFromWpf": true,
"sites": [
{
"active": true,
"address": "sample string 1",
"site_analysis_count": 1,
"city": "sample string 2",
"country": "sample string 3",
"customer_id": "b96bcd79-100a-4931-98a9-4f244d63803f",
"dB_ip": "sample string 5",
"dB_name": "sample string 6",
"dB_password": "sample string 7",
"dB_user": "sample string 8",
"delay_between_scans": 9,
"id": "09deb669-d020-4db7-b34d-1eda86be13df",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 11",
"number": 1,
"selected_sticker_id": "2833548a-673b-4b2e-a8d2-6a30aaaa86bf",
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"zip_code": "sample string 12"
},
{
"active": true,
"address": "sample string 1",
"site_analysis_count": 1,
"city": "sample string 2",
"country": "sample string 3",
"customer_id": "b96bcd79-100a-4931-98a9-4f244d63803f",
"dB_ip": "sample string 5",
"dB_name": "sample string 6",
"dB_password": "sample string 7",
"dB_user": "sample string 8",
"delay_between_scans": 9,
"id": "09deb669-d020-4db7-b34d-1eda86be13df",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 11",
"number": 1,
"selected_sticker_id": "2833548a-673b-4b2e-a8d2-6a30aaaa86bf",
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"zip_code": "sample string 12"
}
],
"locks": [
{
"id": "263c6857-09c0-4321-96d8-f5f247ef7c1c",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "6f87f214-b5e3-49fc-ab5f-3e0ec3dccf0c",
"guard_id": "6e48967e-f3c4-4234-aad0-68ef162a0561",
"active": true
},
{
"id": "263c6857-09c0-4321-96d8-f5f247ef7c1c",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "6f87f214-b5e3-49fc-ab5f-3e0ec3dccf0c",
"guard_id": "6e48967e-f3c4-4234-aad0-68ef162a0561",
"active": true
}
],
"clearOperatorPassword": true,
"active": true,
"admin": true,
"badge_tag_id": "sample string 9",
"cell_phone": "sample string 10",
"customer_id": "717ba1fc-b2dd-4713-a0db-cc41a0e14f13",
"firstname": "sample string 11",
"id": "76730e2b-a362-4f38-9d8d-20519b5978d2",
"language_code": "sample string 13",
"lastname": "sample string 14",
"mail": "sample string 15",
"operator_code": "sample string 16",
"operator_password": "sample string 17",
"phone": "sample string 18",
"webapp_password_last_update": "2026-06-10T12:19:25.7094488+00:00",
"role_id": "41802aee-f4d1-4279-9a60-eddc73e7b952"
}
application/xml, text/xml
Sample:
<user xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<admin>true</admin>
<badge_tag_id>sample string 9</badge_tag_id>
<cell_phone>sample string 10</cell_phone>
<customer_id>717ba1fc-b2dd-4713-a0db-cc41a0e14f13</customer_id>
<firstname>sample string 11</firstname>
<id>76730e2b-a362-4f38-9d8d-20519b5978d2</id>
<language_code>sample string 13</language_code>
<lastname>sample string 14</lastname>
<mail>sample string 15</mail>
<operator_code>sample string 16</operator_code>
<operator_password>sample string 17</operator_password>
<phone>sample string 18</phone>
<role_id>41802aee-f4d1-4279-9a60-eddc73e7b952</role_id>
<webapp_password_last_update>2026-06-10T12:19:25.7094488+00:00</webapp_password_last_update>
<clearOperatorPassword>true</clearOperatorPassword>
<customer_name>sample string 1</customer_name>
<has_operator_password>true</has_operator_password>
<isFromWpf>true</isFromWpf>
<locks>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>6f87f214-b5e3-49fc-ab5f-3e0ec3dccf0c</distribution_id>
<guard_id>6e48967e-f3c4-4234-aad0-68ef162a0561</guard_id>
<id>263c6857-09c0-4321-96d8-f5f247ef7c1c</id>
<name>sample string 2</name>
</lock>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>6f87f214-b5e3-49fc-ab5f-3e0ec3dccf0c</distribution_id>
<guard_id>6e48967e-f3c4-4234-aad0-68ef162a0561</guard_id>
<id>263c6857-09c0-4321-96d8-f5f247ef7c1c</id>
<name>sample string 2</name>
</lock>
</locks>
<rights>
<right>
<ID>84e61206-c6fa-4661-b7bf-91ffc6082e0e</ID>
<code>sample string 1</code>
</right>
<right>
<ID>84e61206-c6fa-4661-b7bf-91ffc6082e0e</ID>
<code>sample string 1</code>
</right>
</rights>
<sites>
<site>
<DB_ip>sample string 5</DB_ip>
<DB_name>sample string 6</DB_name>
<DB_password>sample string 7</DB_password>
<DB_user>sample string 8</DB_user>
<active>true</active>
<address>sample string 1</address>
<city>sample string 2</city>
<country>sample string 3</country>
<customer_id>b96bcd79-100a-4931-98a9-4f244d63803f</customer_id>
<delay_between_scans>9</delay_between_scans>
<id>09deb669-d020-4db7-b34d-1eda86be13df</id>
<name>sample string 11</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>2833548a-673b-4b2e-a8d2-6a30aaaa86bf</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 12</zip_code>
</site>
<site>
<DB_ip>sample string 5</DB_ip>
<DB_name>sample string 6</DB_name>
<DB_password>sample string 7</DB_password>
<DB_user>sample string 8</DB_user>
<active>true</active>
<address>sample string 1</address>
<city>sample string 2</city>
<country>sample string 3</country>
<customer_id>b96bcd79-100a-4931-98a9-4f244d63803f</customer_id>
<delay_between_scans>9</delay_between_scans>
<id>09deb669-d020-4db7-b34d-1eda86be13df</id>
<name>sample string 11</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>2833548a-673b-4b2e-a8d2-6a30aaaa86bf</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 12</zip_code>
</site>
</sites>
<webapp_password>sample string 3</webapp_password>
<webapp_username>sample string 4</webapp_username>
</user>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"04db0d0b-9b90-4ff7-9bb9-5fa0880c759e"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">04db0d0b-9b90-4ff7-9bb9-5fa0880c759e</guid>